## ros-lunar-visp-camera-calibration 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(visp_camera_calibration)

find_package(catkin REQUIRED COMPONENTS
  camera_calibration_parsers
  geometry_msgs
  message_generation
  roscpp
  sensor_msgs
  std_msgs
  visp_bridge
)

find_package(VISP REQUIRED)

include_directories(SYSTEM
  ${BULLET_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${VISP_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  )

# Generate messages and services.
add_message_files(
  DIRECTORY
    msg
  FILES
    CalibPoint.msg
    CalibPointArray.msg
    ImageAndPoints.msg
    ImagePoint.msg
  )
add_service_files(
  DIRECTORY
    srv
  FILES
    calibrate.srv
  )
generate_messages(DEPENDENCIES geometry_msgs sensor_msgs std_msgs)

catkin_package(
  CATKIN_DEPENDS
    geometry_msgs
    message_runtime
    sensor_msgs
    std_msgs
  DEPENDS
    VISP
)

add_library(${PROJECT_NAME}_common src/names.cpp src/names.h)
target_link_libraries(${PROJECT_NAME}_common
  ${catkin_LIBRARIES}
  ${roscpp_LIBRARIES}
  )

add_executable(${PROJECT_NAME}_calibrator
  src/calibrator.cpp
  src/calibrator.h
  src/calibrator_main.cpp)
target_link_libraries(${PROJECT_NAME}_calibrator
  ${PROJECT_NAME}_common
  ${catkin_LIBRARIES}
  ${roscpp_LIBRARIES}
  ${VISP_LIBRARIES})
add_dependencies(${PROJECT_NAME}_calibrator
  ${catkin_EXPORTED_TARGETS} ${PROJECT_NAME}_gencpp)

add_executable(${PROJECT_NAME}_image_processing
  src/image_processing.cpp
  src/image_processing.h
  src/image_processing_main.cpp)
target_link_libraries(${PROJECT_NAME}_image_processing
  ${PROJECT_NAME}_common
  ${catkin_LIBRARIES}
  ${roscpp_LIBRARIES}
  ${VISP_LIBRARIES}
  )
add_dependencies(${PROJECT_NAME}_image_processing
  ${catkin_EXPORTED_TARGETS}
  ${PROJECT_NAME}_gencpp
  ${VISP_LIBRARIES})

add_executable(${PROJECT_NAME}_camera
  src/camera.cpp
  src/camera.h
  src/camera_main.cpp)
target_link_libraries(${PROJECT_NAME}_camera
  ${PROJECT_NAME}_common
  ${catkin_LIBRARIES}
  ${roscpp_LIBRARIES}
  ${VISP_LIBRARIES})
add_dependencies(${PROJECT_NAME}_camera
  ${catkin_EXPORTED_TARGETS} ${PROJECT_NAME}_gencpp)

install(
  TARGETS
    ${PROJECT_NAME}_calibrator
    ${PROJECT_NAME}_camera
    ${PROJECT_NAME}_common
    ${PROJECT_NAME}_image_processing
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-lunar-visp-camera-calibration (0.10.0-1xenial) xenial; urgency=high

  * Fix compilation on 17.04 by adding missing boost/format.hpp inclusion (#63 <https://github.com/lagadic/vision_visp/issues/63>)
  * Fix catkin_lint warnings level 2
  * kinetic-0.9.3
  * Prepare changelogs
  * Contributors: Fabien Spindler, Marco Esposito

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Thu, 22 Jun 2017 22:00:00 -0000

ros-lunar-visp-camera-calibration (0.9.3-1xenial) xenial; urgency=high

  * kinetic-0.9.2
  * Cleanify code
  * jade-0.9.1
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Thu, 19 May 2016 22:00:00 -0000

ros-lunar-visp-camera-calibration (0.9.1-1xenial) xenial; urgency=high

  * Revert build_depend visp removal that is mandatory.
  * jade-0.9.0
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 20 Dec 2015 23:00:00 -0000

ros-lunar-visp-camera-calibration (0.9.0-1xenial) xenial; urgency=high

  * Fix catkin_lint error and issues
  * Fix to build with ViSP 2.10.0 when VISP_BUILD_DEPRECATED=OFF
  * jade-0.8.0
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sat, 19 Dec 2015 23:00:00 -0000

ros-lunar-visp-camera-calibration (0.8.0-1xenial) xenial; urgency=high

  * Remove catkin_lint issues and warnings
  * Fix doc url location
  * Update and fix content of README files
  * Fix to allow calibration on images that are not 640x480
  * 0.7.3
  * Prepare changelogs
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 31 Mar 2015 22:00:00 -0000

ros-lunar-visp-camera-calibration (0.7.3-1xenial) xenial; urgency=high

  * indigo-0.7.2
  * Prepare changelogs
  * Contributors: Fabien Spindler, Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 09 Apr 2014 22:00:00 -0000

ros-lunar-visp-camera-calibration (0.7.2-1xenial) xenial; urgency=high

  * Fix various dependency issues in the CMakeLists.txt and package.xml files
  * lipstick
    
    Aesthetic changes
  * Add missing dependency to ViSP
  * Fix errors detected with catkin_lint
  * Contributors: Fabien Spindler, Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 06 Apr 2014 22:00:00 -0000

ros-lunar-visp-camera-calibration (0.7.0-1xenial) xenial; urgency=high

  * Merge visp_camera_calibration as our subdirectory
  * Contributors: Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 11 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-lunar-visp-camera-calibration
Section: misc
Priority: extra
Maintainer: Fabien Spindler <Fabien.Spindler@inria.fr>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-camera-calibration-parsers, ros-lunar-catkin, ros-lunar-geometry-msgs, ros-lunar-message-generation, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-visp, ros-lunar-visp-bridge
Homepage: http://wiki.ros.org/visp_camera_calibration
Standards-Version: 3.9.2

Package: ros-lunar-visp-camera-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-camera-calibration-parsers, ros-lunar-geometry-msgs, ros-lunar-message-generation, ros-lunar-message-runtime, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-visp, ros-lunar-visp-bridge
Description: visp_camera_calibration allows easy calibration of cameras using a customizable pattern and ViSP library.
